# Class TableCellBorders

#### Hierarchy

- IgnoreIfEmptyXmlComponent
  - TableCellBorders

- Defined in file/table/table-cell/table-cell-components.ts:29

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new TableCellBorders(options): TableCellBorders

- #### Parameters

  - ##### options: ITableCellBorders

  #### Returns TableCellBorders

  Overrides IgnoreIfEmptyXmlComponent.constructor

  - Defined in file/table/table-cell/table-cell-components.ts:30

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from IgnoreIfEmptyXmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from IgnoreIfEmptyXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:53

Generated using TypeDoc